From 85758c8418bae2f60aee4e43d1ccc41ff7fa7b40 Mon Sep 17 00:00:00 2001
From: Kamil Páral <kparal@redhat.com>
Date: May 16 2018 02:12:38 +0000
Subject: [PATCH 5/7] moar changes


---

diff --git a/libtaskotron/executor.py b/libtaskotron/executor.py
index 46b1a7f..4cb795e 100644
--- a/libtaskotron/executor.py
+++ b/libtaskotron/executor.py
@@ -225,15 +225,15 @@ class Executor(object):
           list of base architectures supported by Taskotron (e.g. 'armhfp')
 
         taskotron_supported_binary_arches
-          list of base+binary architectures supported by Taskotron (e.g. 'armhfp,
-          armv7hl')
+          list of base+binary architectures supported by Taskotron (e.g.
+          'armhfp, armv7hl')
 
         test_playbook
           path to playbook to execute inside client_taskdir (usually tests.yml)
 
         varsfile
-          name of the ansible vars file inside artifacts/taskotron/ to forward to
-          task
+          name of the ansible vars file inside artifacts/taskotron/ to forward
+          to task
         '''
 
         vars_ = {}
diff --git a/libtaskotron/ext/disposable/vm.py b/libtaskotron/ext/disposable/vm.py
index 9d443ff..494e795 100644
--- a/libtaskotron/ext/disposable/vm.py
+++ b/libtaskotron/ext/disposable/vm.py
@@ -46,7 +46,7 @@ class TestCloudMachine(object):
         #: hostname to use for spawned instance - based on username of current user
         self.hostname = 'taskotron-%s' % getpass.getuser()
 
-    def _prepare_image(self, distro=None, release=None, flavor=None, arch=None):
+    def _prepare_image(self, distro, release, flavor, arch):
         '''Use testcloud to prepare an image for local booting
         :param str distro: Distro to use in image discovery
         :param str release: Distro's release to use in image discovery
diff --git a/libtaskotron/image_utils.py b/libtaskotron/image_utils.py
index 56be9c1..289bd15 100644
--- a/libtaskotron/image_utils.py
+++ b/libtaskotron/image_utils.py
@@ -50,9 +50,6 @@ def devise_environment(arg_data, playbook_vars):
             if re.match(r'^f[0-9]{2}-.*', item):
                 env['distro'] = 'fedora'
 
-        if env['distro']:
-            log.debug('Forcing environment distro to %s', env['distro'])
-
     if playbook_vars['taskotron_match_host_release']:
         if item_type == 'koji_build':
             # FIXME: find a way to make this not Fedora-specific
@@ -68,19 +65,17 @@ def devise_environment(arg_data, playbook_vars):
             if re.match(r'^f[0-9]{2}-.*', item):
                 env['release'] = item[1:3]
 
-        if env['release']:
-            log.debug('Forcing environment release to %s', env['release'])
-
     if playbook_vars['taskotron_match_host_arch']:
         if arch != 'noarch':
             env['arch'] = arch
-            log.debug('Forcing environment arch to %s', env['arch'])
+
+    log.debug('Forced environment values: %s', env)
 
     env['distro'] = env['distro'] or config.get_config().default_disposable_distro
     env['release'] = env['release'] or config.get_config().default_disposable_release
     env['flavor'] = env['flavor'] or config.get_config().default_disposable_flavor
     env['arch'] = env['arch'] or config.get_config().default_disposable_arch
 
-    log.debug('Devised environment: %s', env)
+    log.debug('Environment to be used: %s', env)
 
     return env

